package com.fs.framework.config;



import org.slf4j.MDC;
import org.springframework.stereotype.Component;
import org.springframework.util.StringUtils;
import org.springframework.web.servlet.HandlerInterceptor;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.UUID;


/**
 * @description: 日志拦截器
 * @author: xdd
 * @date: 2025/3/13
 */
@Component
public class LogInterceptor implements HandlerInterceptor {

    private static final String traceId = "traceId";

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) {
        String tid = UUID.randomUUID().toString().replace("-", "");
        if (!StringUtils.isEmpty(request.getHeader("traceId"))) {
            tid = request.getHeader("traceId");
        }
        MDC.put(traceId, tid);
        return true;
    }

    @Override
    public void afterCompletion(HttpServletRequest request, HttpServletResponse response, Object handler,
                                Exception ex) {
        MDC.remove(traceId);
    }
}
