package com.fs.app.task;


import com.alibaba.fastjson.JSON;
import com.fs.app.service.IpadSendServer;
import com.fs.common.core.redis.RedisCacheT;
import com.fs.course.config.CourseConfig;
import com.fs.qw.mapper.QwUserMapper;
import com.fs.qw.service.impl.AsyncSopTestService;
import com.fs.sop.mapper.QwSopLogsMapper;
import com.fs.sop.service.IQwSopLogsService;
import com.fs.system.domain.SysConfig;
import com.fs.system.mapper.SysConfigMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.util.StringUtils;

import java.time.LocalDateTime;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.ThreadLocalRandom;
import java.util.function.Function;

@Component
@Slf4j
public class SendMsgTest {

    private final List<Integer> qwUserList = Collections.synchronizedList(Arrays.asList(
            1,
            12,
            13,
            14,
            15,
            16,
            17,
            18,
            19,
            10,
            111,
            112,
            113,
            114,
            115,
            116,
            117,
            118,
            119,
            121,
            122,
            123,
            124,
            125,
            126,
            127
    ));
    // 使用固定大小线程池防止资源耗尽
    private final ExecutorService executor = Executors.newFixedThreadPool(400);
    private final Map<Integer, Long> qwMap = new ConcurrentHashMap<>();


//    @Scheduled(fixedRate = 10000) // 每10秒执行一次
    public void sendMsg2() {
        qwUserList.forEach(e -> {
            if (qwMap.putIfAbsent(e, System.currentTimeMillis()) == null) {
                log.info("提交销售任务：{}", e);
                executor.submit(() -> {
                    try {
                        processUser();
                    } finally {
                        qwMap.remove(e);
                    }
                });
            }
        });
    }

    private void processUser() {
        try {
            int delay = ThreadLocalRandom.current().nextInt(10000, 30000);
            Thread.sleep(delay);
        } catch (InterruptedException e) {
            log.error("线程等待错误！");
        }
    }

}
