package com.fs.app.controller;


import com.fs.app.utils.JwtUtils;
import com.fs.common.constant.HttpStatus;
import com.fs.common.core.page.TableDataInfo;
import com.fs.common.core.redis.RedisCache;
import com.fs.common.utils.ServletUtils;
import com.fs.common.utils.StringUtils;
import com.github.pagehelper.PageInfo;
import io.jsonwebtoken.Claims;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;


public class AppBaseController {
	@Autowired
	JwtUtils jwtUtils;

	public String getUserId()
	{
		String headValue =  ServletUtils.getRequest().getHeader("AppToken");
		if (StringUtils.isEmpty(headValue))
			headValue = ServletUtils.getRequest().getParameter("APPToken");
		Claims claims=jwtUtils.getClaimByToken(headValue);
		String userId = claims.getSubject().toString();
		return userId;
	}

	/**
	 * 响应请求分页数据
	 */
	@SuppressWarnings({ "rawtypes", "unchecked" })
	protected TableDataInfo getDataTable(List<?> list)
	{
		TableDataInfo rspData = new TableDataInfo();
		rspData.setCode(HttpStatus.SUCCESS);
		rspData.setMsg("查询成功");
		rspData.setRows(list);
		rspData.setTotal(new PageInfo(list).getTotal());
		return rspData;
	}
}
