package com.fs.course.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 微信用户和销售关系对象 fs_user_company_user
 *
 * @author fs
 * @date 2025-05-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FsUserCompanyUser extends BaseEntity{

    /** id */
    private Long id;

    /** 用户id（关联fs_user表user_id） */
    @Excel(name = "用户id", readConverterExp = "关=联fs_user表user_id")
    private Long userId;

    /** 销售id */
    @Excel(name = "销售id")
    private Long companyUserId;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 是否重粉，1-是；0-否 */
    @Excel(name = "是否重粉，1-是；0-否")
    private Integer isRepeatFans;

    @TableField(exist = false)
    @ApiModelProperty(value = "重粉所属销售，多个用逗号隔开")
    private String repeatCompanyUserName;

    /**
     * 项目ID
     */
    private Long projectId;
    /**
     * 企微用户ID
     */
    private Long qwUserId;
    /**
     * 企微外部联系人ID
     */
    private Long qwExternalContactId;
    /**
     * 企微主体ID
     */
    private Long qwCompanyId;


}
