package com.fs.course.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 达人对象 fs_user_talent
 *
 * @author fs
 * @date 2024-05-31
 */
@Data
public class FsUserTalent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 达人id */
    private Long talentId;

    /** 所属用户 */
    @Excel(name = "所属用户")
    private Long userId;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nickName;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    /** 电话 */
    @Excel(name = "电话")
    private String phone;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 性别 */
    @Excel(name = "性别")
    private Long sex;

    /** 标签 */
    @Excel(name = "标签")
    private String tags;

    /** 位置 */
    @Excel(name = "位置")
    private String address;

    /** 达人等级 */
    @Excel(name = "达人等级")
    private Long level;

    /** 粉丝数 */
    @Excel(name = "粉丝数")
    private Long fans;

    /** 获赞数 */
    @Excel(name = "获赞数")
    private Long likes;

    /** 删除标志 */
    @Excel(name = "删除标志")
    private Long isDel;

    /** 抖音链接 */
    @Excel(name = "抖音链接")
    private String tiktokLink;

    /** 快手链接 */
    @Excel(name = "快手链接")
    private String kwaiLink;

    /** 是否审核 */
    @Excel(name = "是否审核")
    private Long isAudit;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;

    /** 证书编号 */
    @Excel(name = "证书编号")
    private String certificateCode;

    /** 证书图片 */
    @Excel(name = "证书图片")
    private String certificateImages;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balance;

    /** 累计佣金 */
    @Excel(name = "累计佣金")
    private BigDecimal totalMoney;

    /** 冻结佣金 */
    @Excel(name = "冻结佣金")
    private BigDecimal freezeMoney;

    /** 已提现佣金 */
    @Excel(name = "已提现佣金")
    private BigDecimal extractMoney;

    /** 所属销售公司*/
    @Excel(name = "所属销售公司")
    private Long companyId;

    /** 所属销售公司查询Str */
    private String companyIdStr;

}
