package com.fs.his.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.his.domain.FsUserOperationLog;

/**
 * 用户操作日志Mapper接口
 * 
 * @author fs
 * @date 2025-07-04
 */
public interface FsUserOperationLogMapper extends BaseMapper<FsUserOperationLog>{
    /**
     * 查询用户操作日志
     * 
     * @param logId 用户操作日志主键
     * @return 用户操作日志
     */
    FsUserOperationLog selectFsUserOperationLogByLogId(Long logId);

    /**
     * 查询用户操作日志列表
     * 
     * @param fsUserOperationLog 用户操作日志
     * @return 用户操作日志集合
     */
    List<FsUserOperationLog> selectFsUserOperationLogList(FsUserOperationLog fsUserOperationLog);

    /**
     * 新增用户操作日志
     * 
     * @param fsUserOperationLog 用户操作日志
     * @return 结果
     */
    int insertFsUserOperationLog(FsUserOperationLog fsUserOperationLog);

    /**
     * 修改用户操作日志
     * 
     * @param fsUserOperationLog 用户操作日志
     * @return 结果
     */
    int updateFsUserOperationLog(FsUserOperationLog fsUserOperationLog);

    /**
     * 删除用户操作日志
     * 
     * @param logId 用户操作日志主键
     * @return 结果
     */
    int deleteFsUserOperationLogByLogId(Long logId);

    /**
     * 批量删除用户操作日志
     * 
     * @param logIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFsUserOperationLogByLogIds(Long[] logIds);
}
