package com.fs.his.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.his.domain.FsUserOperationLog;

/**
 * 用户操作日志Service接口
 * 
 * @author fs
 * @date 2025-07-04
 */
public interface IFsUserOperationLogService extends IService<FsUserOperationLog>{
    /**
     * 查询用户操作日志
     * 
     * @param logId 用户操作日志主键
     * @return 用户操作日志
     */
    FsUserOperationLog selectFsUserOperationLogByLogId(Long logId);

    /**
     * 查询用户操作日志列表
     * 
     * @param fsUserOperationLog 用户操作日志
     * @return 用户操作日志集合
     */
    List<FsUserOperationLog> selectFsUserOperationLogList(FsUserOperationLog fsUserOperationLog);

    /**
     * 新增用户操作日志
     * 
     * @param fsUserOperationLog 用户操作日志
     * @return 结果
     */
    int insertFsUserOperationLog(FsUserOperationLog fsUserOperationLog);

    /**
     * 修改用户操作日志
     * 
     * @param fsUserOperationLog 用户操作日志
     * @return 结果
     */
    int updateFsUserOperationLog(FsUserOperationLog fsUserOperationLog);

    /**
     * 批量删除用户操作日志
     * 
     * @param logIds 需要删除的用户操作日志主键集合
     * @return 结果
     */
    int deleteFsUserOperationLogByLogIds(Long[] logIds);

    /**
     * 删除用户操作日志信息
     * 
     * @param logId 用户操作日志主键
     * @return 结果
     */
    int deleteFsUserOperationLogByLogId(Long logId);
}
