package com.fs.live.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 售后订单操作对象 live_after_sales_logs
 *
 * @author fs
 * @date 2025-07-08
 */
@Data
public class LiveAfterSalesLogs{

    /** $column.columnComment */
    private Long logsId;

    /** 售后id */
    @Excel(name = "售后id")
    private Long storeAfterSalesId;

    /** 操作类型 */
    @Excel(name = "操作类型")
    private Integer changeType;

    /** 操作备注 */
    @Excel(name = "操作备注")
    private String changeMessage;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date changeTime;

    /** 操作人 */
    @Excel(name = "操作人")
    private String operator;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 店铺id */
    @Excel(name = "店铺id")
    private Long storeId;


}
