package com.fs.live.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 主播对象 live_anchor
 *
 * @author fs
 * @date 2025-01-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveAnchor extends BaseEntity {

    /** ID */
    @TableId(type = IdType.AUTO)
    private Long anchorId;

    /**
     * 企业ID
     */
    private Long companyId;

    /**
     * 企业用户ID
     */
    private Long companyUserId;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nickName;

    /** 密码 */
    @Excel(name = "密码")
    private String password;

    /** 手机号 */
    @Excel(name = "手机号")
    private String mobile;

    /** 微信OPENID */
    @Excel(name = "微信OPENID")
    private String openId;

    /** 身份证反面 */
    @Excel(name = "身份证反面")
    private String idCardBackUrl;

    /** 身份证正面 */
    @Excel(name = "身份证正面")
    private String idCardFrontUrl;

    /** 状态  1正常 0禁用 */
    @Excel(name = "状态  1正常 0禁用")
    private Integer status;

    /** 创建时间*/
    @Excel(name = "创建时间")
    private Date createTime;

    /** 更新时间*/
    @Excel(name = "更新时间")
    private Date updateTime;

}
