package com.fs.live.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 购物车对象 live_cart
 *
 * @author fs
 * @date 2025-07-08
 */
@Data
public class LiveCart{

    /** 购物车表ID */
    private Long cardId;

    /** 直播间ID */
    @Excel(name = "直播间ID")
    private Long liveId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private String userId;

    /** 直播商品ID */
    @Excel(name = "直播商品ID")
    private Long goodsId;

    /** 商品ID */
    @Excel(name = "商品ID")
    private String productId;

    /** $column.columnComment */
    @Excel(name = "商品ID")
    private Long productAttrValueId;

    /** 商品数量 */
    @Excel(name = "商品数量")
    private String cartNum;

    /** 0 = 未购买 1 = 已购买 */
    @Excel(name = "0 = 未购买 1 = 已购买")
    private Integer isPay;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    /** 是否为立即购买 */
    @Excel(name = "是否为立即购买")
    private Integer isBuy;

    /** 创建时间*/
    @Excel(name = "创建时间")
    private Date createTime;

    /** 更新时间*/
    @Excel(name = "更新时间")
    private Date updateTime;

}
