package com.fs.live.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 直播数据对象 live_data
 *
 * @author fs
 * @date 2025-03-05
 */
@Data
public class LiveData{

    /** 直播id */
    @TableId
    private Long liveId;

   /* *//** 直播名称 *//*
    @Excel(name = "直播名称")
    private String liveName;

    *//** 直播封面 *//*
    @Excel(name = "直播封面")
    private String liveImgUrl;

    *//** 1待直播 2直播中 3已结束 *//*
    @Excel(name = "1待直播 2直播中 3已结束")
    private Integer status;

    *//** 开始时间 *//*
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    *//** 结束时间 *//*
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishTime;

    *//** 直播地址 *//*
    @Excel(name = "直播地址")
    private String rtmpUrl;*/

    /** 浏览量 */
    @Excel(name = "浏览量")
    private Long pageViews;

    /** 访客数 */
    @Excel(name = "访客数")
    private Long uniqueVisitors;

    /** 累计观看人次 */
    @Excel(name = "累计观看人次")
    private Long totalViews;

    /** 累计观看人数 */
    @Excel(name = "累计观看人数")
    private Long uniqueViewers;

    /** 最高在线人数 */
    @Excel(name = "最高在线人数")
    private Long peakConcurrentViewers;


    /** 点赞数 */
    @Excel(name = "点赞数")
    private Long likes;

    /** 收藏数*/
    @Excel(name = "收藏数")
    private Long favourite_num;

    /** 关注数*/
    @Excel(name = "关注数")
    private Long follow_num;


}
