package com.fs.live.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 直播触发事件配置对象 live_event_conf
 *
 * @author fs
 * @date 2025-07-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveEventConf extends BaseEntity{

    /** $column.columnComment */
    private Long eventId;

    /** 直播间ID */
    @Excel(name = "直播间ID")
    private Long liveId;

    /** 事件类型 (0:用户进入直播间, 1:用户发言, 2:用户点赞, 3:用户关注) */
    @Excel(name = "事件类型 (0:用户进入直播间, 1:用户发言, 2:用户点赞, 3:用户关注)")
    private Long eventType;

    /** 触发阈值 */
    @Excel(name = "触发阈值")
    private Long triggerCount;

    /** 关联红包ID */
    @Excel(name = "关联红包ID")
    private Long redId;



}
