package com.fs.live.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 直播商品对象 live_goods
 *
 * @author fs
 * @date 2025-07-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveGoods extends BaseEntity{

    /** ID */
    private Long goodsId;

    /** 直播ID */
    @Excel(name = "直播ID")
    private Long liveId;

    /** 企业ID */
    @Excel(name = "企业ID")
    private Long companyId;

    /** 企业用户ID */
    @Excel(name = "企业用户ID")
    private Long companyUserId;

    /** 店铺ID */
    @Excel(name = "店铺ID")
    private Long storeId;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long productId;

    /** 状态 1上架 0下架 */
    @Excel(name = "状态 1上架 0下架")
    private Integer status;

    /** 库存表 */
    @Excel(name = "库存表")
    private Long stock;

    /** 排序号 */
    @Excel(name = "排序号")
    private Long sort;

    /** 商品名称搜索关键字*/
    @TableField(exist = false)
    private String keywords;


}
