package com.fs.live.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 直播抽奖配置对象 live_lottery_conf
 *
 * @author fs
 * @date 2025-07-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveLotteryConf extends BaseEntity{

    /** 抽奖ID */
    private Long lotteryId;

    /** 直播间ID */
    @Excel(name = "直播间ID")
    private Long liveId;

    /** 抽奖状态*/
    @Excel(name = "抽奖状态 0:未开始 1:进行中 2:已结束")
    private String lotteryStatus;

    /** 参与抽奖方式 0:在线观众参与 1:关注参与 2:送礼参与 3:下单参与 */
    @Excel(name = "参与抽奖方式 0:在线观众参与 1:关注参与 2:送礼参与 3:下单参与")
    private Long require;

    /** 参与抽奖方式 2/3对应的配置，2：送礼数量，以最低档位礼物为单位 3:指定商品Id及数量，|竖线分割 */
    @Excel(name = "参与抽奖方式 2/3对应的配置，礼物/商品Id竖线分割数量")
    private String requireConf;

    /** 持续时间 单位：分 */
    @Excel(name = "持续时间 单位：分")
    private Long duration;

    /** 描述 */
    @Excel(name = "描述")
    private String desc;



}
