package com.fs.live.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 订单详情对象 live_order_item
 *
 * @author fs
 * @date 2025-07-08
 */
@Data
public class LiveOrderItem{

    /** $column.columnComment */
    private String itemId;

    /** 订单id */
    @Excel(name = "订单id")
    private String orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderCode;

    /** 购物车ID */
    @Excel(name = "购物车ID")
    private String cartId;

    /** 直播商品ID */
    @Excel(name = "直播商品ID")
    private Long goodsId;

    /** 商品ID */
    @Excel(name = "商品ID")
    private String productId;

    /** 商品规格ID */
    @Excel(name = "商品规格ID")
    private Long productAttrValueId;

    /** JSON */
    @Excel(name = "JSON")
    private String jsonInfo;

    /** 数量 */
    @Excel(name = "数量")
    private Long num;

    /** 是否申请售后 0否1是 */
    @Excel(name = "是否申请售后 0否1是")
    private Integer isAfterSales;

    /** 是否为处方药 */
    @Excel(name = "是否为处方药")
    private Integer isPrescribe;

    /** 店铺ID */
    @Excel(name = "店铺ID")
    private Long storeId;

    /** 是否赠品 */
    @Excel(name = "是否赠品")
    private Integer isGift;


}
