package com.fs.live.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 订单操作记录对象 live_order_logs
 *
 * @author fs
 * @date 2025-07-08
 */
@Data
public class LiveOrderLogs{

    /** $column.columnComment */
    private String logsId;

    /** 订单id */
    @Excel(name = "订单id")
    private String orderId;

    /** 操作类型 */
    @Excel(name = "操作类型")
    private String changeType;

    /** 操作备注 */
    @Excel(name = "操作备注")
    private String changeMessage;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date changeTime;

    /** 操作员 */
    @Excel(name = "操作员")
    private String operator;


}
