package com.fs.live.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 直播红包记录配置对象 live_red_conf
 *
 * @author fs
 * @date 2025-07-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveRedConf extends BaseEntity{

    /** 红包ID */
    private Long redId;

    /** 红包状态 0:未发放 1:已发放 2:已结束 */
    @Excel(name = "红包状态 0:未发放 1:发放中 2:已结束")
    private Long redStatus;

    /** 有效时间 单位：分 */
    @Excel(name = "有效时间 单位：分")
    private Long duration;

    /** 红包类型 1:主播发起 2:事件红包 */
    @Excel(name = "红包类型 1:主播发起 2:事件红包")
    private Long redType;

    /** 直播间ID */
    @Excel(name = "直播间ID")
    private Long liveId;

    /** 红包金额 */
    @Excel(name = "红包金额")
    private Long redNum;

    /** 可中奖份量 */
    @Excel(name = "可中奖份量")
    private Long totalLots;

    /** 实际发放奖励份量 */
    @Excel(name = "实际发放奖励份量")
    private Long totalSend;

    /** 描述 */
    @Excel(name = "描述")
    private String desc;

    /** 剩余红包数 */
    @TableField(exist = false)
    private Integer remaining;


}
