package com.fs.live.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 直播间敏感词过滤对象 live_sensitive_words
 *
 * @author fs
 * @date 2025-07-08
 */
@Data
public class LiveSensitiveWords{

    /** 敏感词唯一标识 */
    private Long wordId;

    /** 需要过滤的敏感词 */
    @Excel(name = "需要过滤的敏感词")
    private String word;

    /** 敏感词添加时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "敏感词添加时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdAt;


}
