package com.fs.live.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 用户礼物记录对象 live_user_gift
 *
 * @author fs
 * @date 2025-07-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveUserGift extends BaseEntity {

    /**
     * 主键ID
     */
    @TableId
    private Long id;

    /**
     * 用户ID
     */
    @Excel(name = "用户ID")
    private Long userId;

    /**
     * 礼物ID
     */
    @Excel(name = "礼物ID")
    private Long giftId;

    /**
     * 礼物名称
     */
    @Excel(name = "礼物名称")
    private String giftName;

    /**
     * 礼物数量
     */
    @Excel(name = "礼物数量")
    private Long cn;

    /**
     * 送礼时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "送礼时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date giftTime;

    /**
     * 直播间ID
     */
    @Excel(name = "直播间ID")
    private Long liveId;


}
