package com.fs.live.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 直播观看奖励设置对象 live_watch_config
 *
 * @author fs
 * @date 2025-07-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveWatchConfig extends BaseEntity{

    /** 主键ID */
    private Long id;

    /** 直播ID */
    @Excel(name = "直播ID")
    private Long liveId;

    private Boolean enabled;

    /** 参与条件 1达到指定观看时长 */
    @Excel(name = "参与条件 1达到指定观看时长")
    private Long participateCondition;

    /** 观看时长 */
    @Excel(name = "观看时长")
    private Long watchDuration;

    /** 实施动作 1现金红包 2积分红包 */
    @Excel(name = "实施动作 1现金红包 2积分红包")
    private Long action;

    /** 领取提示语 */
    @Excel(name = "领取提示语")
    private String receivePrompt;

    /** 红包发放方式 1固定金额 2随机金额 */
    @Excel(name = "红包发放方式 1固定金额 2随机金额")
    private Long redPacketType;

    /** 红包金额 */
    @Excel(name = "红包金额")
    private BigDecimal redPacketAmount;

    /** 红包随机规则 */
    @Excel(name = "红包随机规则")
    private String redPacketRandomAmount;

    /** 红包数量最大发放人数 */
    @Excel(name = "红包数量最大发放人数")
    private Long redPacketCount;

    /** 红包领取方式 1二维码核销 2微信提现 */
    @Excel(name = "红包领取方式 1二维码核销 2微信提现")
    private Long redPacketReceiveMethod;

    /** 红包领取时限 */
    @Excel(name = "红包领取时限")
    private Long redPacketReceiveTimeLimit;

    /** 微信提现条件 1无条件 2添加过员工企微才可领取 */
    @Excel(name = "微信提现条件 1无条件 2添加过员工企微才可领取")
    private Long redPacketWithdrawCondition;

    /** 客服引导 1跟进企业微信 2不设置 */
    @Excel(name = "客服引导 1跟进企业微信 2不设置")
    private Long redPacketGuide;

    /** 客服引导语 */
    @Excel(name = "客服引导语")
    private String redPacketGuideText;

    /** 积分值 */
    @Excel(name = "积分值")
    private Long scoreAmount;

    /** 最大领取人数 */
    @Excel(name = "最大领取人数")
    private Long scoreMaxReceiver;

    /** 客服引导 1引导外部链接 2不设置 */
    @Excel(name = "客服引导 1引导外部链接 2不设置")
    private Long scoreGuide;

    /** 积分使用引导链接 */
    @Excel(name = "积分使用引导链接")
    private String scoreGuideLink;

    /** 引导语 */
    @Excel(name = "引导语")
    private String scoreGuideText;
    /** 配置json */
    @Excel(name = "配置json")
    private String configJson;




}
