package com.fs.live.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.live.domain.LiveAfterSalesLogs;

/**
 * 售后订单操作Mapper接口
 * 
 * @author fs
 * @date 2025-07-08
 */
public interface LiveAfterSalesLogsMapper extends BaseMapper<LiveAfterSalesLogs>{
    /**
     * 查询售后订单操作
     * 
     * @param logsId 售后订单操作主键
     * @return 售后订单操作
     */
    LiveAfterSalesLogs selectLiveAfterSalesLogsByLogsId(Long logsId);

    /**
     * 查询售后订单操作列表
     * 
     * @param liveAfterSalesLogs 售后订单操作
     * @return 售后订单操作集合
     */
    List<LiveAfterSalesLogs> selectLiveAfterSalesLogsList(LiveAfterSalesLogs liveAfterSalesLogs);

    /**
     * 新增售后订单操作
     * 
     * @param liveAfterSalesLogs 售后订单操作
     * @return 结果
     */
    int insertLiveAfterSalesLogs(LiveAfterSalesLogs liveAfterSalesLogs);

    /**
     * 修改售后订单操作
     * 
     * @param liveAfterSalesLogs 售后订单操作
     * @return 结果
     */
    int updateLiveAfterSalesLogs(LiveAfterSalesLogs liveAfterSalesLogs);

    /**
     * 删除售后订单操作
     * 
     * @param logsId 售后订单操作主键
     * @return 结果
     */
    int deleteLiveAfterSalesLogsByLogsId(Long logsId);

    /**
     * 批量删除售后订单操作
     * 
     * @param logsIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteLiveAfterSalesLogsByLogsIds(Long[] logsIds);
}
