package com.fs.live.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.live.domain.LiveAfterSales;

/**
 * 售后记录Mapper接口
 * 
 * @author fs
 * @date 2025-07-08
 */
public interface LiveAfterSalesMapper extends BaseMapper<LiveAfterSales>{
    /**
     * 查询售后记录
     * 
     * @param id 售后记录主键
     * @return 售后记录
     */
    LiveAfterSales selectLiveAfterSalesById(Long id);

    /**
     * 查询售后记录列表
     * 
     * @param liveAfterSales 售后记录
     * @return 售后记录集合
     */
    List<LiveAfterSales> selectLiveAfterSalesList(LiveAfterSales liveAfterSales);

    /**
     * 新增售后记录
     * 
     * @param liveAfterSales 售后记录
     * @return 结果
     */
    int insertLiveAfterSales(LiveAfterSales liveAfterSales);

    /**
     * 修改售后记录
     * 
     * @param liveAfterSales 售后记录
     * @return 结果
     */
    int updateLiveAfterSales(LiveAfterSales liveAfterSales);

    /**
     * 删除售后记录
     * 
     * @param id 售后记录主键
     * @return 结果
     */
    int deleteLiveAfterSalesById(Long id);

    /**
     * 批量删除售后记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteLiveAfterSalesByIds(Long[] ids);
}
