package com.fs.live.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.live.domain.LiveOrderItem;

/**
 * 订单详情Mapper接口
 * 
 * @author fs
 * @date 2025-07-08
 */
public interface LiveOrderItemMapper extends BaseMapper<LiveOrderItem>{
    /**
     * 查询订单详情
     * 
     * @param itemId 订单详情主键
     * @return 订单详情
     */
    LiveOrderItem selectLiveOrderItemByItemId(String itemId);

    /**
     * 查询订单详情列表
     * 
     * @param liveOrderItem 订单详情
     * @return 订单详情集合
     */
    List<LiveOrderItem> selectLiveOrderItemList(LiveOrderItem liveOrderItem);

    /**
     * 新增订单详情
     * 
     * @param liveOrderItem 订单详情
     * @return 结果
     */
    int insertLiveOrderItem(LiveOrderItem liveOrderItem);

    /**
     * 修改订单详情
     * 
     * @param liveOrderItem 订单详情
     * @return 结果
     */
    int updateLiveOrderItem(LiveOrderItem liveOrderItem);

    /**
     * 删除订单详情
     * 
     * @param itemId 订单详情主键
     * @return 结果
     */
    int deleteLiveOrderItemByItemId(String itemId);

    /**
     * 批量删除订单详情
     * 
     * @param itemIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteLiveOrderItemByItemIds(String[] itemIds);
}
