package com.fs.live.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.live.domain.LiveOrder;

/**
 * 订单Mapper接口
 *
 * @author fs
 * @date 2025-07-08
 */
public interface LiveOrderMapper extends BaseMapper<LiveOrder>{
    /**
     * 查询订单
     *
     * @param orderId 订单主键
     * @return 订单
     */
    LiveOrder selectLiveOrderByOrderId(String orderId);

    /**
     * 查询订单列表
     *
     * @param liveOrder 订单
     * @return 订单集合
     */
    List<LiveOrder> selectLiveOrderList(LiveOrder liveOrder);

    /**
     * 新增订单
     *
     * @param liveOrder 订单
     * @return 结果
     */
    int insertLiveOrder(LiveOrder liveOrder);

    /**
     * 修改订单
     *
     * @param liveOrder 订单
     * @return 结果
     */
    int updateLiveOrder(LiveOrder liveOrder);

    /**
     * 删除订单
     *
     * @param orderId 订单主键
     * @return 结果
     */
    int deleteLiveOrderByOrderId(String orderId);

    /**
     * 批量删除订单
     *
     * @param orderIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteLiveOrderByOrderIds(String[] orderIds);
}
