package com.fs.live.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.live.domain.LiveCart;

/**
 * 购物车Service接口
 * 
 * @author fs
 * @date 2025-07-08
 */
public interface ILiveCartService extends IService<LiveCart>{
    /**
     * 查询购物车
     * 
     * @param cardId 购物车主键
     * @return 购物车
     */
    LiveCart selectLiveCartByCardId(Long cardId);

    /**
     * 查询购物车列表
     * 
     * @param liveCart 购物车
     * @return 购物车集合
     */
    List<LiveCart> selectLiveCartList(LiveCart liveCart);

    /**
     * 新增购物车
     * 
     * @param liveCart 购物车
     * @return 结果
     */
    int insertLiveCart(LiveCart liveCart);

    /**
     * 修改购物车
     * 
     * @param liveCart 购物车
     * @return 结果
     */
    int updateLiveCart(LiveCart liveCart);

    /**
     * 批量删除购物车
     * 
     * @param cardIds 需要删除的购物车主键集合
     * @return 结果
     */
    int deleteLiveCartByCardIds(Long[] cardIds);

    /**
     * 删除购物车信息
     * 
     * @param cardId 购物车主键
     * @return 结果
     */
    int deleteLiveCartByCardId(Long cardId);
}
