package com.fs.live.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.live.domain.LiveEventConf;

/**
 * 直播触发事件配置Service接口
 * 
 * @author fs
 * @date 2025-07-17
 */
public interface ILiveEventConfService extends IService<LiveEventConf>{
    /**
     * 查询直播触发事件配置
     * 
     * @param eventId 直播触发事件配置主键
     * @return 直播触发事件配置
     */
    LiveEventConf selectLiveEventConfByEventId(Long eventId);

    /**
     * 查询直播触发事件配置列表
     * 
     * @param liveEventConf 直播触发事件配置
     * @return 直播触发事件配置集合
     */
    List<LiveEventConf> selectLiveEventConfList(LiveEventConf liveEventConf);

    /**
     * 新增直播触发事件配置
     * 
     * @param liveEventConf 直播触发事件配置
     * @return 结果
     */
    int insertLiveEventConf(LiveEventConf liveEventConf);

    /**
     * 修改直播触发事件配置
     * 
     * @param liveEventConf 直播触发事件配置
     * @return 结果
     */
    int updateLiveEventConf(LiveEventConf liveEventConf);

    /**
     * 批量删除直播触发事件配置
     * 
     * @param eventIds 需要删除的直播触发事件配置主键集合
     * @return 结果
     */
    int deleteLiveEventConfByEventIds(Long[] eventIds);

    /**
     * 删除直播触发事件配置信息
     * 
     * @param eventId 直播触发事件配置主键
     * @return 结果
     */
    int deleteLiveEventConfByEventId(Long eventId);
}
