package com.fs.live.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.live.domain.LiveLotteryRegistration;

/**
 * 直播抽奖登记Service接口
 * 
 * @author fs
 * @date 2025-07-17
 */
public interface ILiveLotteryRegistrationService extends IService<LiveLotteryRegistration>{
    /**
     * 查询直播抽奖登记
     * 
     * @param registrationId 直播抽奖登记主键
     * @return 直播抽奖登记
     */
    LiveLotteryRegistration selectLiveLotteryRegistrationByRegistrationId(Long registrationId);

    /**
     * 查询直播抽奖登记列表
     * 
     * @param liveLotteryRegistration 直播抽奖登记
     * @return 直播抽奖登记集合
     */
    List<LiveLotteryRegistration> selectLiveLotteryRegistrationList(LiveLotteryRegistration liveLotteryRegistration);

    /**
     * 新增直播抽奖登记
     * 
     * @param liveLotteryRegistration 直播抽奖登记
     * @return 结果
     */
    int insertLiveLotteryRegistration(LiveLotteryRegistration liveLotteryRegistration);

    /**
     * 修改直播抽奖登记
     * 
     * @param liveLotteryRegistration 直播抽奖登记
     * @return 结果
     */
    int updateLiveLotteryRegistration(LiveLotteryRegistration liveLotteryRegistration);

    /**
     * 批量删除直播抽奖登记
     * 
     * @param registrationIds 需要删除的直播抽奖登记主键集合
     * @return 结果
     */
    int deleteLiveLotteryRegistrationByRegistrationIds(Long[] registrationIds);

    /**
     * 删除直播抽奖登记信息
     * 
     * @param registrationId 直播抽奖登记主键
     * @return 结果
     */
    int deleteLiveLotteryRegistrationByRegistrationId(Long registrationId);
}
