package com.fs.live.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.live.domain.LiveUserFavorite;

/**
 * 用户直播收藏Service接口
 *
 * @author fs
 * @date 2025-07-11
 */
public interface ILiveUserFavoriteService extends IService<LiveUserFavorite>{
    /**
     * 查询用户直播收藏
     *
     * @param favoriteId 用户直播收藏主键
     * @return 用户直播收藏
     */
    LiveUserFavorite selectLiveUserFavoriteByFavoriteId(Long favoriteId);

    /**
     * 查询用户直播收藏列表
     *
     * @param liveUserFavorite 用户直播收藏
     * @return 用户直播收藏集合
     */
    List<LiveUserFavorite> selectLiveUserFavoriteList(LiveUserFavorite liveUserFavorite);

    /**
     * 新增用户直播收藏
     *
     * @param liveUserFavorite 用户直播收藏
     * @return 结果
     */
    int insertLiveUserFavorite(LiveUserFavorite liveUserFavorite);

    /**
     * 修改用户直播收藏
     *
     * @param liveUserFavorite 用户直播收藏
     * @return 结果
     */
    int updateLiveUserFavorite(LiveUserFavorite liveUserFavorite);

    /**
     * 批量删除用户直播收藏
     *
     * @param favoriteIds 需要删除的用户直播收藏主键集合
     * @return 结果
     */
    int deleteLiveUserFavoriteByFavoriteIds(Long[] favoriteIds);

    /**
     * 删除用户直播收藏信息
     *
     * @param favoriteId 用户直播收藏主键
     * @return 结果
     */
    int deleteLiveUserFavoriteByFavoriteId(Long favoriteId);

    LiveUserFavorite selectLiveUserFavoriteByLiveIdAndUserId(Long liveId, Long userId);

    void deleteLiveUserFavoriteByLiveIdAndUserId(Long liveId, Long userId);

    List<LiveUserFavorite> selectByIds(Long productId, Long storeId, Long liveId, Long userId);

    void deleteLiveUserFavoriteByIds(Long productId, Long storeId, Long liveId, Long userId);
}
