package com.fs.live.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.live.domain.LiveUserRedRecord;

/**
 * 直播用户红包记录Service接口
 * 
 * @author fs
 * @date 2025-07-17
 */
public interface ILiveUserRedRecordService extends IService<LiveUserRedRecord>{
    /**
     * 查询直播用户红包记录
     * 
     * @param id 直播用户红包记录主键
     * @return 直播用户红包记录
     */
    LiveUserRedRecord selectLiveUserRedRecordById(Long id);

    /**
     * 查询直播用户红包记录列表
     * 
     * @param liveUserRedRecord 直播用户红包记录
     * @return 直播用户红包记录集合
     */
    List<LiveUserRedRecord> selectLiveUserRedRecordList(LiveUserRedRecord liveUserRedRecord);

    /**
     * 新增直播用户红包记录
     * 
     * @param liveUserRedRecord 直播用户红包记录
     * @return 结果
     */
    int insertLiveUserRedRecord(LiveUserRedRecord liveUserRedRecord);

    /**
     * 修改直播用户红包记录
     * 
     * @param liveUserRedRecord 直播用户红包记录
     * @return 结果
     */
    int updateLiveUserRedRecord(LiveUserRedRecord liveUserRedRecord);

    /**
     * 批量删除直播用户红包记录
     * 
     * @param ids 需要删除的直播用户红包记录主键集合
     * @return 结果
     */
    int deleteLiveUserRedRecordByIds(Long[] ids);

    /**
     * 删除直播用户红包记录信息
     * 
     * @param id 直播用户红包记录主键
     * @return 结果
     */
    int deleteLiveUserRedRecordById(Long id);
}
