package com.fs.live.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.live.mapper.LiveOrderItemMapper;
import com.fs.live.domain.LiveOrderItem;
import com.fs.live.service.ILiveOrderItemService;

/**
 * 订单详情Service业务层处理
 * 
 * @author fs
 * @date 2025-07-08
 */
@Service
public class LiveOrderItemServiceImpl extends ServiceImpl<LiveOrderItemMapper, LiveOrderItem> implements ILiveOrderItemService {

    /**
     * 查询订单详情
     * 
     * @param itemId 订单详情主键
     * @return 订单详情
     */
    @Override
    public LiveOrderItem selectLiveOrderItemByItemId(String itemId)
    {
        return baseMapper.selectLiveOrderItemByItemId(itemId);
    }

    /**
     * 查询订单详情列表
     * 
     * @param liveOrderItem 订单详情
     * @return 订单详情
     */
    @Override
    public List<LiveOrderItem> selectLiveOrderItemList(LiveOrderItem liveOrderItem)
    {
        return baseMapper.selectLiveOrderItemList(liveOrderItem);
    }

    /**
     * 新增订单详情
     * 
     * @param liveOrderItem 订单详情
     * @return 结果
     */
    @Override
    public int insertLiveOrderItem(LiveOrderItem liveOrderItem)
    {
        return baseMapper.insertLiveOrderItem(liveOrderItem);
    }

    /**
     * 修改订单详情
     * 
     * @param liveOrderItem 订单详情
     * @return 结果
     */
    @Override
    public int updateLiveOrderItem(LiveOrderItem liveOrderItem)
    {
        return baseMapper.updateLiveOrderItem(liveOrderItem);
    }

    /**
     * 批量删除订单详情
     * 
     * @param itemIds 需要删除的订单详情主键
     * @return 结果
     */
    @Override
    public int deleteLiveOrderItemByItemIds(String[] itemIds)
    {
        return baseMapper.deleteLiveOrderItemByItemIds(itemIds);
    }

    /**
     * 删除订单详情信息
     * 
     * @param itemId 订单详情主键
     * @return 结果
     */
    @Override
    public int deleteLiveOrderItemByItemId(String itemId)
    {
        return baseMapper.deleteLiveOrderItemByItemId(itemId);
    }
}
