package com.fs.live.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class RecentLiveDataVo {
    /** 直播id */
    private Long liveId;
     /** 直播名称 */
    @Excel(name = "直播名称")
    private String liveName;

    /** 直播封面 */
    @Excel(name = "直播封面")
    private String liveImgUrl;

    /** 1待直播 2直播中 3已结束 */
    @Excel(name = "1待直播 2直播中 3已结束")
    private Integer status;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:ss:mm")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:ss:mm")
    private Date startTime;

    /** 浏览量 */
    @Excel(name = "浏览量")
    private Long pageViews;

    /** 访客数 */
    @Excel(name = "访客数")
    private Long uniqueVisitors;

    /** 累计观看人次 */
    @Excel(name = "累计观看人次")
    private Long totalViews;

    /** 累计观看人数 */
    @Excel(name = "累计观看人数")
    private Long uniqueViewers;

    /** 最高在线人数 */
    @Excel(name = "最高在线人数")
    private Long peakConcurrentViewers;
    /** 排名 */
    @Excel(name = "排名")
    private Integer rank;
}
