package com.fs.qw.vo.sidebar;

import com.fs.common.annotation.Excel;
import com.fs.qw.domain.QwUser;
import com.fs.qw.vo.QwUserVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.util.List;

/**
 * 侧边栏-外部联系人相关信息
 */
@Data
@ApiModel
public class ExternalContactInfoVO {

    @ApiModelProperty(value = "外部联系人id")
    private Long qwExternalContactId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "头像")
    private String avatar;

    @ApiModelProperty(value = "企微用户主键id")
    private Long qwUserId;

    @ApiModelProperty(value = "描述")
    private String remark;

    @ApiModelProperty(value = "性别")
    private Integer gender;

    @ApiModelProperty(value = "性别名称")
    private String genderName;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "用户等级")
    private String contactLevel;

    @ApiModelProperty(value = "累计答题次数")
    private Integer answerTime;

    @ApiModelProperty(value = "累计红包金额")
    private BigDecimal redPacketAmount;

    @ApiModelProperty(value = "企微员工列表")
    private List<ExternalContactQwUserVO> qwUserList;


}
